## savi 1.4.5

=== src/Makefile ===
#
# Makefile for SaVi - src directory. Run top-level Makefile instead.
#
# $Id: Makefile,v 1.43 2011/04/26 20:41:31 lloydwood Exp $

# Used for the version string. Can be overriden per-platform.
     LINEEND = \\

include Makefile_defs_$(ARCH)


     SUBDIRS = include
       SHELL = /bin/sh
          RM = /bin/rm -f
          MV = /bin/mv
          CP = /bin/cp

     SAVIBIN = SaVi

# We retain . here to avoid cygwin appending .exe
     PROGRAM = $(SAVIBIN)-$(ARCH).bin
 INCLUDE_DIR = ./include


# remove -DNO_ZLIB from end to use zlib from http://www.gzip.org/zlib
# zlib enables transparent gzip compression of dynamic texture scratchfiles.
# OTHER_LIBS = -lz should be inserted at end of definitions file.

   GCC_FLAGS = -O2 -DNO_ZLIB

        LIBS = $(TCL_LIBS) $(OTHER_LIBS) -lm


    DEBUGFLAGS = -Wall -Wconversion -pedantic -ansi

# These do not find anything to warn about:
#   DEBUGFLAGS = -Wshadow -Wpointer-arith -Wcast-qual \
#	-Wcast-align -Wwrite-strings -Wconversion -Waggregate-return \
#	-Wmissing-prototypes -Wmissing-declarations -Wnested-externs

# These do, but the reports aren't useful (e.g. use of all inlines):
# -ansi -Wtraditional

# For compiling a binary for use with gdb:
#   DEBUGFLAGS = -g

# On non-gcc compilers:
#   DEBUGFLAGS = fullwarn

        SRCS = \
		main.c \
		globals.c \
		satCmd.c \
		sats.c \
		modules.c \
		axes.c \
		sun.c \
		logo.c \
		orbits.c \
		cones.c \
		footprints.c \
		plane.c \
		earth.c \
		stars.c \
		coverage.c \
		coverage_vis.c \
		fisheye.c \
		time.c \
		Satellite.c \
		gv_init.c \
		satellites.c \
		orbit_utils.c \
		stats_utils.c \
		utils.c \
		gv_utils.c \
		tcl_utils.c

    INCLUDES = \
		$(INCLUDE_DIR)/Satellite.h \
		$(INCLUDE_DIR)/constants.h \
		$(INCLUDE_DIR)/coverage_vis.h \
		$(INCLUDE_DIR)/fisheye.h \
		$(INCLUDE_DIR)/globals.h \
		$(INCLUDE_DIR)/gv_utils.h \
		$(INCLUDE_DIR)/orbit_utils.h \
		$(INCLUDE_DIR)/sats.h \
		$(INCLUDE_DIR)/savi.h \
		$(INCLUDE_DIR)/stats_utils.h \
		$(INCLUDE_DIR)/tcl_utils.h \
		$(INCLUDE_DIR)/utils.h


   OTHER_SRCS = Makefile_defs_ Makefile_defs_linux Makefile_defs_cygwin \
		Makefile_defs_macosx Makefile_defs_freebsd \
		Makefile_defs_irix Makefile_defs_sun Makefile_defs_sun4 \
		Makefile_defs_ubuntu Makefile_defs_x86_64

#
# commands and flags
#
    CFLAGS = $(GCC_FLAGS) $(DEBUGFLAGS) \
		-I$(INCLUDE_DIR) $(TCL_INCLUDES)


#
# derived objects
#
     OBJS = $(SRCS:.c=.o)

#
# targets
#

$(PROGRAM): $(OBJS) version.o
	$(CC) $(CFLAGS) -o $(PROGRAM) $(OBJS) version.o $(LIBS)
	$(MV) $(PROGRAM) ../bin/$(PROGRAM)
	$(CP) ../bin/$(PROGRAM) ../bin/$(SAVIBIN)

all:
	@$(MAKE_SUBDIRS:target=all)
	@make $(PROGRAM)

version.c: FORCE
# echo -E may be useful on Linux if output is over multiple lines
	@echo "char *Version = \"SaVi was compiled with 'make ARCH=$(ARCH)'$(LINEEND)\\nVersion" `cat ../VERSION`"$(LINEEND)\\nBuilt by $(USER)@$(HOST)$(HOSTNAME), `date`\";" > ./version.c


objs: $(OBJS)

$(OBJS): $(INCLUDES)

tarfilelist::
	@$(MAKE_SUBDIRS:target=tarfilelist)
	@srcs="Makefile $(SRCS) $(OTHER_SRCS)" ; \
	for i in $$srcs ; do \
	  echo "$(CURRENT_DIR)/$$i" >> $(TOP)/fileslist ; \
	done

clean:
	@$(MAKE_SUBDIRS:target=clean)
	$(RM) *~ *.o version.c core $(SAVIBIN)*

FORCE:

# macros

MAKE_SUBDIRS = \
	dirs="$(SUBDIRS)" ; \
	for i in $$dirs ; do \
	  (cd $$i; \
	   echo "making" target "in $(CURRENT_DIR)/$$i..."; \
	   $(MAKE) $(MFLAGS) target CURRENT_DIR=$(CURRENT_DIR)/$$i TOP=$(TOP)) ; \
	done
# END

=== tcl/Makefile ===
#
# Makefile - SaVi tcl directory. Run top-level Makefile instead.
#
# $Id: Makefile,v 1.17 2011/02/17 16:56:43 lloydwood Exp $

       SHELL = /bin/sh
          RM = /bin/rm -f

  TCL_SRCS = init.tcl main.tcl utils.tcl load.tcl save.tcl \
		coverage.tcl coverage_size.tcl edit.tcl fisheye.tcl params.tcl \
		geomview.tcl random.tcl about.tcl oe.tcl constellations.tcl \
	        no_frames.tcl snapshot.tcl rosette.tcl star.tcl empty.tcl \
                sunlight.tcl details.tcl helpfile.tcl

     TCLSH = tclsh

# FreeBSD will require this uncommented
# TCLSH = tclsh8.4

# older Cygwin and Insight Tcl may require this uncommented
# TCLSH = cygtclsh80.exe

   MKINDEX = mkindex.tcl
OTHER_SRCS = $(TCL_SRCS) tclIndex

 CLEAN_FILES = $(MKINDEX) tclIndex

all: buildtclIndex

buildtclIndex: $(MKINDEX) $(TCL_SRCS)
	$(TCLSH) $(MKINDEX)

$(MKINDEX): Makefile
	echo "auto_mkindex . $(TCL_SRCS)" > $(MKINDEX)

tarfilelist:
	@srcs="Makefile $(OTHER_SRCS) lib" ; \
	for i in $$srcs ; do \
	  echo "$(CURRENT_DIR)/$$i" >> $(TOP)/fileslist ; \
	done

clean:
	$(RM) *~ $(CLEAN_FILES)

=== debian/changelog ===
savi (1.4.5-4) unstable; urgency=low

  * [debian/patches/no_build_with_ansi_option.diff]
  	 - No build with -ansi option
     - replace strings.h to string.h (Closes: #647717)
  * Fix format problem in debian/copyright.

 -- YunQiang Su <wzssyqa@gmail.com>  Sun, 06 Nov 2011 03:23:52 +0800

savi (1.4.5-3) unstable; urgency=low

  * [debian/patches/share_lib_div.diff]
       - get "ubuntu" just from /etc/debian_version. (Closes: #633533)
          no need "-f /vmlinuz -o -f /boot/vmlinuz",
          which may not work when generic kernel is not installed or 
          on kFreeBSD or some els port.

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 12 Jul 2011 18:41:20 +0800

savi (1.4.5-2) unstable; urgency=low

  * Install data files to /usr/share now
       - remove debian/patches/{data, maps, oogl}_to_share.diff
       [debian/savi.install, debian/savi-bin]
            install data files and scripts to /usr/share/savi
       [debian/patches/share_lib_div.diff]
           patch ./savi to find bin file SaVi in /usr/lib/savi/bin

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 12 Jul 2011 08:10:37 +0800

savi (1.4.5-1) unstable; urgency=low

  * Initial release (Closes: #436511)

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 22 Apr 2011 19:10:37 +0800

=== debian/control ===
Source: savi
Section: science
Priority: optional
Maintainer: YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Uploaders: DebianGis Team <pkg-grass-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, tcl-dev, tk-dev
Standards-Version: 3.9.2
Homepage: http://savi.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-grass/savi.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/savi.git

Package: savi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: geomview
Description: satellite constellation visualisation
 SaVi allows you to simulate satellite orbits and coverage,
 in two and three dimensions. SaVi is particularly useful for
 simulating satellite constellations such as Iridium and Globalstar.
 .
 SaVi can use Geomview, an optional but useful package, 
 for 3D rendering.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_configure:
	
override_dh_auto_build:
	make ARCH=ubuntu

override_dh_auto_install:

override_dh_install:
	dh_install
	cp debian/savi-bin debian/savi/usr/bin/savi
	cp debian/geomview-savi debian/savi/usr/lib/geomview/.geomview-savi
	find debian/savi/usr/ -name "Makefile*" -exec rm {} \;

## savi 1.4.6

=== data/Makefile ===
#
# Makefile - SaVi data directory. Run top-level Makefile instead.
#
# $Id: Makefile,v 1.14 2011/03/16 10:05:51 lloydwood Exp $


       SHELL = /bin/sh
          RM = /bin/rm -f

  OTHER_SRCS = aries.tcl atcontact.tcl celestri.tcl clarke.tcl \
		commstellation-78.tcl deligo.tcl draim-4.tcl dmc.tcl \
		ellipso.tcl galileo.tcl globalstar.tcl glonass.tcl gps.tcl \
		gs2.tcl ico.tcl iridium-66.tcl leqo.tcl macrocell.tcl mm.tcl \
		molnya.tcl nels.tcl nuonce.tcl \
		o3b-networks.tcl odyssey.tcl orbcomm.tcl orblink.tcl \
		quasi-geo.tcl rapideye.tcl sirius-radio.tcl skybridge-64.tcl \
		skybridge-80.tcl spaceway-ngso.tcl \
		teledesic-288.tcl teledesic-840.tcl \
		tundra.tcl us-patent-6726152-boeing.tcl \
		geo.tle visual.tle


all:

clean:
	$(RM) *~ $(CLEAN_FILES)

tarfilelist::
	@srcs="Makefile $(SRCS) $(OTHER_SRCS)" ; \
	for i in $$srcs ; do \
	  echo "$(CURRENT_DIR)/$$i" >> $(TOP)/fileslist ; \
	done

=== maps/Makefile ===
#
# Makefile - SaVi maps directory. Run top-level Makefile instead.
#
# $Id: Makefile,v 1.6 2008/12/30 16:32:22 lloydwood Exp $

       SHELL = /bin/sh
          RM = /bin/rm -f

  OTHER_SRCS = world.cyl.pbm world1024.cyl.pbm \
	       world.unp.pbm world1024.unp.pbm \
	       world.sph.pbm world1024.sph.pbm \
	       world90W.sph.pbm world90W1024.sph.pbm \
	       world.sinu.pbm world1024.sinu.pbm \
	       world90W.sinu.pbm world90W1024.sinu.pbm \
	       savi-logo.gif

all:

clean:
	$(RM) *~ $(CLEAN_FILES)

tarfilelist::
	@srcs="Makefile $(SRCS) $(OTHER_SRCS)" ; \
	for i in $$srcs ; do \
	  echo "$(CURRENT_DIR)/$$i" >> $(TOP)/fileslist ; \
	done

=== oogl/Makefile ===
#
# Makefile - savi oogl directory. Run top-level Makefile instead.
#
# $Id: Makefile,v 1.11 2011/04/26 20:41:31 lloydwood Exp $

        SHELL = /bin/sh
           RM = /bin/rm -f

   OTHER_SRCS = savi.oogl savilogo.oogl \
		stars_h.oogl stars.oogl ambient_light.oogl \
		earth_h.oogl earth.oogl earth_fancy_h.oog earth_fancy.oogl \
		numesh.oogl Earth.ppm.Z blue_marble_land_shallow_topo_2048.jpeg \
		earth_vect_h.oogl earth.vect \
	        earth_texture_h.oogl \
		earth_coverage_h.oogl earth_coverage.oogl \
	        earth_coverage_unp_h.oogl earth_coverage_unp.oogl

all:

clean:
	$(RM) *~ $(CLEAN_FILES)

tarfilelist:
	@srcs="Makefile $(SRCS) $(OTHER_SRCS)" ; \
	for i in $$srcs ; do \
	  echo "$(CURRENT_DIR)/$$i" >> $(TOP)/fileslist ; \
	done

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for SaVi - src directory. Run top-level Makefile instead.
 #
-# $Id: Makefile,v 1.43 2011/04/26 20:41:31 lloydwood Exp $
+# $Id: Makefile,v 1.45 2012/02/19 20:03:18 lloydwood Exp $
 
 # Used for the version string. Can be overriden per-platform.
      LINEEND = \\
@@ -31,7 +31,7 @@
         LIBS = $(TCL_LIBS) $(OTHER_LIBS) -lm
 
 
-    DEBUGFLAGS = -Wall -Wconversion -pedantic -ansi
+    DEBUGFLAGS = -Wall -Wextra -Wconversion -pedantic -ansi
 
 # These do not find anything to warn about:
 #   DEBUGFLAGS = -Wshadow -Wpointer-arith -Wcast-qual \
@@ -93,7 +93,8 @@
    OTHER_SRCS = Makefile_defs_ Makefile_defs_linux Makefile_defs_cygwin \
 		Makefile_defs_macosx Makefile_defs_freebsd \
 		Makefile_defs_irix Makefile_defs_sun Makefile_defs_sun4 \
-		Makefile_defs_ubuntu Makefile_defs_x86_64
+		Makefile_defs_ubuntu Makefile_defs_x86_64 \
+		Makefile_defs_cygwin84
 
 #
 # commands and flags

=== tcl/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile - SaVi tcl directory. Run top-level Makefile instead.
 #
-# $Id: Makefile,v 1.17 2011/02/17 16:56:43 lloydwood Exp $
+# $Id: Makefile,v 1.18 2011/08/06 15:20:26 lloydwood Exp $
 
        SHELL = /bin/sh
           RM = /bin/rm -f
@@ -15,7 +15,7 @@
      TCLSH = tclsh
 
 # FreeBSD will require this uncommented
-# TCLSH = tclsh8.4
+# TCLSH = tclsh8.5
 
 # older Cygwin and Insight Tcl may require this uncommented
 # TCLSH = cygtclsh80.exe

=== manual/images/Makefile ===
#
# Makefile - savi manual/images directory. Run top-level Makefile instead.
#
# $Id: Makefile,v 1.4 2011/04/26 12:14:45 lloydwood Exp $

        SHELL = /bin/sh
           RM = /bin/rm -f

   OTHER_SRCS = savi-choose.png savi-constants.png savi-coverage.png \
	        savi-edit.png savi-empty.png savi-fisheye.png savi-main.png \
		savi-rosette.png savi-spot.png

all:

clean:
	$(RM) *~ $(CLEAN_FILES)

tarfilelist:
	@srcs="Makefile $(SRCS) $(OTHER_SRCS)" ; \
	for i in $$srcs ; do \
	  echo "$(CURRENT_DIR)/$$i" >> $(TOP)/fileslist ; \
	done

=== debian/changelog ===
savi (1.4.6-1) unstable; urgency=low

  * New upstream release 1.4.6.
  * Bump policy version to 3.9.4: no changes needed.
  * Drop DMUA section in debian/control
  * Bump DH compat to 9.

 -- YunQiang Su <wzssyqa@gmail.com>  Mon, 29 Jul 2013 19:53:28 +0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: science
 Priority: optional
 Maintainer: YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
 Uploaders: DebianGis Team <pkg-grass-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, tcl-dev, tk-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev
+Standards-Version: 3.9.4
 Homepage: http://savi.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-grass/savi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/savi.git

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,7 @@
 	cp debian/savi-bin debian/savi/usr/bin/savi
 	cp debian/geomview-savi debian/savi/usr/lib/geomview/.geomview-savi
 	find debian/savi/usr/ -name "Makefile*" -exec rm {} \;
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian/savi/usr/share/savi/oogl/ -type f | xargs chmod -x

=== debian/watch ===
version=3
http://personal.ee.surrey.ac.uk/Personal/L.Wood/software/SaVi/src/releases/savi([0-9]\.[0-9]\.[0-9]?)-release.tar.gz

## savi 1.4.9

=== oogl/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile - savi oogl directory. Run top-level Makefile instead.
 #
-# $Id: Makefile,v 1.11 2011/04/26 20:41:31 lloydwood Exp $
+# $Id: Makefile,v 1.12 2015/12/15 12:35:10 lloydwood Exp $
 
         SHELL = /bin/sh
            RM = /bin/rm -f

=== tcl/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile - SaVi tcl directory. Run top-level Makefile instead.
 #
-# $Id: Makefile,v 1.18 2011/08/06 15:20:26 lloydwood Exp $
+# $Id: Makefile,v 1.19 2014/11/25 10:09:40 lloydwood Exp $
 
        SHELL = /bin/sh
           RM = /bin/rm -f
@@ -10,7 +10,7 @@
 		coverage.tcl coverage_size.tcl edit.tcl fisheye.tcl params.tcl \
 		geomview.tcl random.tcl about.tcl oe.tcl constellations.tcl \
 	        no_frames.tcl snapshot.tcl rosette.tcl star.tcl empty.tcl \
-                sunlight.tcl details.tcl helpfile.tcl
+                sunlight.tcl equator.tcl details.tcl helpfile.tcl
 
      TCLSH = tclsh

=== debian/changelog ===
savi (1.4.9-1) unstable; urgency=medium

  * New upstream release 1.4.9.
  * Bump standard version to 3.9.6.
  * Built with -g and $(LDFLAGS): for dbgsym package.

 -- YunQiang Su <syq@debian.org>  Fri, 19 Feb 2016 15:42:35 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: savi
 Section: science
 Priority: optional
-Maintainer: YunQiang Su <wzssyqa@gmail.com>
+Maintainer: YunQiang Su <syq@debian.org>
 Uploaders: DebianGis Team <pkg-grass-devel@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://savi.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-grass/savi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/savi.git

## savi 1.5.0a

=== data/Makefile ===
#
# Makefile - SaVi data directory. Run top-level Makefile instead.
#
# $Id: Makefile,v 1.16 2016/01/17 22:52:15 lloydwood Exp $


       SHELL = /bin/sh
          RM = /bin/rm -f

  OTHER_SRCS = aries.tcl atcontact.tcl celestri.tcl clarke.tcl \
		commstellation-78.tcl deligo.tcl draim-4.tcl dmc.tcl \
		ellipso.tcl galileo.tcl globalstar.tcl glonass.tcl gps.tcl \
		gs2.tcl ico.tcl iridium-66.tcl leqo.tcl leosat.tcl macrocell.tcl \
		mm.tcl molnya.tcl nels.tcl nuonce.tcl o3b-networks.tcl \
		odyssey.tcl oneweb.tcl orbcomm.tcl orblink.tcl \
		quasi-geo.tcl rapideye.tcl sirius-radio.tcl skybridge-64.tcl \
		skybridge-80.tcl spaceway-ngso.tcl \
		teledesic-288.tcl teledesic-840.tcl \
		tundra.tcl us-patent-6726152-boeing.tcl \
		geo.tle visual.tle


all:

clean:
	$(RM) *~ $(CLEAN_FILES)

tarfilelist::
	@srcs="Makefile $(SRCS) $(OTHER_SRCS)" ; \
	for i in $$srcs ; do \
	  echo "$(CURRENT_DIR)/$$i" >> $(TOP)/fileslist ; \
	done

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #
 # Makefile for SaVi - src directory. Run top-level Makefile instead.
 #
-# $Id: Makefile,v 1.45 2012/02/19 20:03:18 lloydwood Exp $
 
 # Used for the version string. Can be overriden per-platform.
      LINEEND = \\
@@ -31,7 +30,7 @@
         LIBS = $(TCL_LIBS) $(OTHER_LIBS) -lm
 
 
-    DEBUGFLAGS = -Wall -Wextra -Wconversion -pedantic -ansi
+#   DEBUGFLAGS = -Wall -Wextra -Wconversion -pedantic -ansi
 
 # These do not find anything to warn about:
 #   DEBUGFLAGS = -Wshadow -Wpointer-arith -Wcast-qual \

=== debian/changelog ===
savi (1.5.0a-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to handle 0.0.0[a-z] versions.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Dec 2016 22:02:49 +0100

savi (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Restructure control file with cme, changes:
    - Update Vcs-* URLs to use anonscm.debian.org instead of git.debian.org
    - Update Vcs-Browser URL to use cgit instead of gitweb over HTTPS
  * Update Vcs-Git URL to use HTTPS.
  * Set Maintainer to Debian GIS Project, move YunQiang Su to Uploaders.
  * Update watch file to handle common issues.
  * Add upstream metadata.
  * Add gbp.conf to use pristine-tar by default.
  * Update copyright file using copyright-format 1.0.
  * Refresh patches & add DEP3 headers.
  * Enable parallel dh.
  * Use CFLAGS from environment set by dpkg-buildflags.
  * Enable all hardening buildflags.
  * Add patch by Reiner Herrmann for reproducible builds.
    (closes: #829717)
  * Bump Standards-Version to 3.9.8, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Oct 2016 21:34:04 +0200

=== debian/control ===
Source: savi
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: YunQiang Su <syq@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               tcl-dev,
               tk-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/savi.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/savi.git
Homepage: http://savi.sourceforge.net/

Package: savi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: geomview
Description: satellite constellation visualisation
 SaVi allows you to simulate satellite orbits and coverage,
 in two and three dimensions. SaVi is particularly useful for
 simulating satellite constellations such as Iridium and Globalstar.
 .
 SaVi can use Geomview, an optional but useful package, 
 for 3D rendering.

## savi 1.5.0b

=== debian/changelog ===
savi (1.5.0b-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 16:12:55 +0200

savi (1.5.0b-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Jun 2017 20:50:13 +0200

## savi 1.5.1

=== Makefile ===
#
# Makefile for SaVi - top level.
# $Id: Makefile,v 1.7 2011/02/21 11:35:35 lloydwood Exp $

     SUBDIRS = manual bin maps oogl data tcl src
       SHELL = /bin/sh
          RM = /bin/rm -f


  OTHER_SRCS = .geomview COPYRIGHT BUGS VERSION README configure savi \
	       README-COVERAGE-TEXTUREMAP PACKAGING

#
# targets
#

all:
	@$(MAKE_SUBDIRS:target=all)

clean:
	$(RM) *~ core $(CLEAN_FILES)
	@$(MAKE_SUBDIRS:target=clean)

tarfilelist:
	@srcs="Makefile $(SRCS) $(OTHER_SRCS)" ; \
	for i in $$srcs ; do \
	  echo "$(CURRENT_DIR)$$i" >> $(TOP)/fileslist ; \
	done
	@$(MAKE_SUBDIRS:target=tarfilelist)

# macros

MAKE_SUBDIRS = \
	dirs="$(SUBDIRS)" ; \
	for i in $$dirs ; do \
	  (cd $$i; \
	   echo "making" target "in $(CURRENT_DIR)$$i..."; \
	   $(MAKE) $(MFLAGS) target CURRENT_DIR=$(CURRENT_DIR)$$i TOP=$(TOP) ARCH=$(ARCH)) ; \
	done

=== data/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile - SaVi data directory. Run top-level Makefile instead.
 #
-# $Id: Makefile,v 1.16 2016/01/17 22:52:15 lloydwood Exp $
+# $Id: Makefile,v 1.18 2016/11/19 07:15:52 lloydwood Exp $
 
 
        SHELL = /bin/sh
@@ -12,12 +12,12 @@
 		ellipso.tcl galileo.tcl globalstar.tcl glonass.tcl gps.tcl \
 		gs2.tcl ico.tcl iridium-66.tcl leqo.tcl leosat.tcl macrocell.tcl \
 		mm.tcl molnya.tcl nels.tcl nuonce.tcl o3b-networks.tcl \
-		odyssey.tcl oneweb.tcl orbcomm.tcl orblink.tcl \
-		quasi-geo.tcl rapideye.tcl sirius-radio.tcl skybridge-64.tcl \
-		skybridge-80.tcl spaceway-ngso.tcl \
+		o3b-networks-full.tcl odyssey.tcl oneweb.tcl orbcomm.tcl \
+		orblink.tcl quasi-geo.tcl rapideye.tcl sirius-radio.tcl \
+		skybridge-64.tclskybridge-80.tcl spaceway-ngso.tcl \
 		teledesic-288.tcl teledesic-840.tcl \
 		tundra.tcl us-patent-6726152-boeing.tcl \
-		geo.tle visual.tle
+		viasat-ngso.tcl geo.tle visual.tle
 
 
 all:

=== manual/Makefile ===
#
# Makefile - savi manual directory. Run top-level Makefile instead.
#
# $Id: Makefile,v 1.4 2006/09/18 13:56:05 lloydwood Exp $

      SUBDIRS = images
        SHELL = /bin/sh
           RM = /bin/rm -f

   OTHER_SRCS = index.html

all:
	@$(MAKE_SUBDIRS:target=all)

clean:
	@$(MAKE_SUBDIRS:target=clean)
	$(RM) *~ $(CLEAN_FILES)

tarfilelist:
	@$(MAKE_SUBDIRS:target=tarfilelist)
	@srcs="Makefile $(SRCS) $(OTHER_SRCS)" ; \
	for i in $$srcs ; do \
	  echo "$(CURRENT_DIR)/$$i" >> $(TOP)/fileslist ; \
	done

# macros

MAKE_SUBDIRS = \
        dirs="$(SUBDIRS)" ; \
        for i in $$dirs ; do \
          (cd $$i; \
           echo "making" target "in $(CURRENT_DIR)/$$i..."; \
           $(MAKE) $(MFLAGS) target CURRENT_DIR=$(CURRENT_DIR)/$$i TOP=$(TOP)) ; \
        done
# END

=== maps/Makefile ===
--- 
+++ 
@@ -1,13 +1,14 @@
 #
 # Makefile - SaVi maps directory. Run top-level Makefile instead.
 #
-# $Id: Makefile,v 1.6 2008/12/30 16:32:22 lloydwood Exp $
+# $Id: Makefile,v 1.7 2014/12/24 16:17:55 lloydwood Exp $
 
        SHELL = /bin/sh
           RM = /bin/rm -f
 
   OTHER_SRCS = world.cyl.pbm world1024.cyl.pbm \
 	       world.unp.pbm world1024.unp.pbm \
+	       world-mask.unp.pbm world-mask1024.unp.pbm \
 	       world.sph.pbm world1024.sph.pbm \
 	       world90W.sph.pbm world90W1024.sph.pbm \
 	       world.sinu.pbm world1024.sinu.pbm \

=== src/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
         LIBS = $(TCL_LIBS) $(OTHER_LIBS) -lm
 
 
-#   DEBUGFLAGS = -Wall -Wextra -Wconversion -pedantic -ansi
+#    DEBUGFLAGS = -Wall -Wextra -Wconversion -pedantic -ansi
 
 # These do not find anything to warn about:
 #   DEBUGFLAGS = -Wshadow -Wpointer-arith -Wcast-qual \

=== tcl/Makefile ===
--- 
+++ 
@@ -1,16 +1,17 @@
 #
 # Makefile - SaVi tcl directory. Run top-level Makefile instead.
 #
-# $Id: Makefile,v 1.19 2014/11/25 10:09:40 lloydwood Exp $
+# $Id: Makefile,v 1.21 2016/03/28 04:24:44 lloydwood Exp $
 
        SHELL = /bin/sh
           RM = /bin/rm -f
 
-  TCL_SRCS = init.tcl main.tcl utils.tcl load.tcl save.tcl \
+  TCL_SRCS = init.tcl main.tcl utils.tcl load.tcl save.tcl coverage_frames.tcl \
 		coverage.tcl coverage_size.tcl edit.tcl fisheye.tcl params.tcl \
 		geomview.tcl random.tcl about.tcl oe.tcl constellations.tcl \
 	        no_frames.tcl snapshot.tcl rosette.tcl star.tcl empty.tcl \
-                sunlight.tcl equator.tcl details.tcl helpfile.tcl
+                sunlight.tcl equator.tcl details.tcl helpfile.tcl \
+		load_url_tle.tcl
 
      TCLSH = tclsh

=== manual/images/Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 #
 # Makefile - savi manual/images directory. Run top-level Makefile instead.
 #
-# $Id: Makefile,v 1.4 2011/04/26 12:14:45 lloydwood Exp $
+# $Id: Makefile,v 1.5 2016/08/31 07:03:03 lloydwood Exp $
 
         SHELL = /bin/sh
            RM = /bin/rm -f
 
    OTHER_SRCS = savi-choose.png savi-constants.png savi-coverage.png \
 	        savi-edit.png savi-empty.png savi-fisheye.png savi-main.png \
-		savi-rosette.png savi-spot.png
+		savi-rosette.png savi-spot.png savi-tle.png
 
 all:

=== src/include/Makefile ===
#
# Makefile - SaVi src/include directory. Run top-level Makefile instead.
#
# $Id: Makefile,v 1.7 2009/05/18 07:59:57 lloydwood Exp $

       SHELL = /bin/sh
          RM = /bin/rm -f

        SRCS = Satellite.h globals.h orbit_utils.h stats_utils.h \
		constants.h gv_file.h gv_utils.h sats.h utils.h \
		tcl_utils.h int_types.h savi.h coverage_vis.h \
		fisheye.h time.h

all:

clean:
	$(RM) *~ $(CLEAN_FILES)

tarfilelist:
	@srcs="Makefile $(SRCS) $(OTHER_SRCS)" ; \
	for i in $$srcs ; do \
	  echo "$(CURRENT_DIR)/$$i" >> $(TOP)/fileslist ; \
	done

=== debian/changelog ===
savi (1.5.1-5) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes.
  * Bump debhelper compat to 12, no changes.
  * Update lintian overrides.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 19:06:00 +0100

savi (1.5.1-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Bump watch file version to 4.
  * Append -fcommon to CFLAGS to fix FTBFS with GCC 10.
    (closes: #957773)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Nov 2020 17:58:11 +0100

savi (1.5.1-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add override for package-contains-documentation-outside-usr-share-doc.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 19:20:59 +0200

savi (1.5.1-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Strip trailing whitespace from changelog & control files.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.4, no changes.
  * Add desktop file & icons.
    (closes: #899281)
  * Add lintian override for debian-watch-uses-insecure-uri.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build --buildsystem=makefile pass cross tools
    to make. (Closes: #900525)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Jun 2018 07:54:17 +0200

savi (1.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright years for Lloyd Wood.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Jul 2017 17:38:28 +0200

=== debian/control ===
Source: savi
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: YunQiang Su <syq@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               tcl-dev,
               tk-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/savi
Vcs-Git: https://salsa.debian.org/debian-gis-team/savi.git
Homepage: http://savi.sourceforge.net/
Rules-Requires-Root: no

Package: savi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: geomview
Description: satellite constellation visualisation
 SaVi allows you to simulate satellite orbits and coverage,
 in two and three dimensions. SaVi is particularly useful for
 simulating satellite constellations such as Iridium and Globalstar.
 .
 SaVi can use Geomview, an optional but useful package,
 for 3D rendering.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,15 @@
 #!/usr/bin/make -f
 
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+export DEB_CFLAGS_MAINT_APPEND += -fcommon
+
 %:
-	dh $@ 
+	dh $@ --buildsystem=makefile
 
-override_dh_auto_configure:
-	
 override_dh_auto_build:
-	make ARCH=ubuntu
+	dh_auto_build -- ARCH=ubuntu
 
 override_dh_auto_install:

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d\w*)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
http://personal.ee.surrey.ac.uk/Personal/L.Wood/software/SaVi/src/releases/ \
savi[\-\_]?(\d[\d\.]+\w*)-release\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## savi 1.6.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile for SaVi - top level.
-# $Id: Makefile,v 1.7 2011/02/21 11:35:35 lloydwood Exp $
+# $Id: Makefile 8 2019-01-24 04:33:00Z lloydwood $
 
      SUBDIRS = manual bin maps oogl data tcl src
        SHELL = /bin/sh

=== bin/Makefile ===
#
# Makefile - SaVi bin directory. Run top-level Makefile instead.
#
# $Id: Makefile 8 2019-01-24 04:33:00Z lloydwood $

    TOP = ../..
     RM = /bin/rm -f

SAVIBIN = SaVi

all:

clean:
	$(RM) *~ core $(SAVIBIN)*

tarfilelist::
	@srcs="Makefile $(SRCS) $(OTHER_SRCS)" ; \
	for i in $$srcs ; do \
	  echo "$(CURRENT_DIR)/$$i" >> $(TOP)/fileslist ; \
	done

=== data/Makefile ===
#
# Makefile - SaVi data directory. Run top-level Makefile instead.
#
# $Id: Makefile 177 2020-05-27 04:40:43Z lloydwood $


       SHELL = /bin/sh
          RM = /bin/rm -f

  OTHER_SRCS =  amazon-project-kuiper-all.tcl amazon-project-kuiper-first.tcl \
		amazon_project-kuiper-second.tcl amazon-project-kuiper-third.tcl \
		aries.tcl atcontact.tcl audacy.tcl celestri.tcl clarke.tcl \
		commstellation-78.tcl deligo.tcl draim-4.tcl dmc.tcl \
		ellipso.tcl galileo.tcl globalstar.tcl glonass.tcl gps.tcl \
		gs2.tcl ico.tcl iridium-66.tcl karousel.tcl \
		laser-light-halo.tcl leqo.tcl leosat.tcl macrocell.tcl \
		mm.tcl molnya.tcl nels.tcl nuonce.tcl o3b-networks.tcl \
		o3b-networks-full.tcl odyssey.tcl oneweb.tcl orbcomm.tcl \
		orblink.tcl quasi-geo.tcl radarsat-rmc.tcl rapideye.tcl \
		singh-24hr.tcl singh-48hr.tcl \
		sirius-radio.tcl skybridge-64.tcl skybridge-80.tcl spaceway-ngso.tcl \
		spacex-starlink-inner.tcl teledesic-288.tcl teledesic-840.tcl \
		telesat-all.tcl telesat-polar.tcl telesat-rosette.tcl \
		theia.tcl tundra.tcl us-patent-6726152-boeing.tcl \
		viasat-leo.tcl viasat-ngso.tcl geo.tle visual.tle


all:

clean:
	$(RM) *~ $(CLEAN_FILES)

tarfilelist::
	@srcs="Makefile $(SRCS) $(OTHER_SRCS)" ; \
	for i in $$srcs ; do \
	  echo "$(CURRENT_DIR)/$$i" >> $(TOP)/fileslist ; \
	done

=== manual/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile - savi manual directory. Run top-level Makefile instead.
 #
-# $Id: Makefile,v 1.4 2006/09/18 13:56:05 lloydwood Exp $
+# $Id: Makefile 8 2019-01-24 04:33:00Z lloydwood $
 
       SUBDIRS = images
         SHELL = /bin/sh

=== oogl/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile - savi oogl directory. Run top-level Makefile instead.
 #
-# $Id: Makefile,v 1.12 2015/12/15 12:35:10 lloydwood Exp $
+# $Id: Makefile 8 2019-01-24 04:33:00Z lloydwood $
 
         SHELL = /bin/sh
            RM = /bin/rm -f
@@ -9,7 +9,7 @@
    OTHER_SRCS = savi.oogl savilogo.oogl \
 		stars_h.oogl stars.oogl ambient_light.oogl \
 		earth_h.oogl earth.oogl earth_fancy_h.oog earth_fancy.oogl \
-		numesh.oogl Earth.ppm.Z blue_marble_land_shallow_topo_2048.jpeg \
+		Earth.ppm.Z blue_marble_land_shallow_topo_2048.jpeg \
 		earth_vect_h.oogl earth.vect \
 	        earth_texture_h.oogl \
 		earth_coverage_h.oogl earth_coverage.oogl \

=== src/Makefile ===
--- 
+++ 
@@ -25,12 +25,14 @@
 # zlib enables transparent gzip compression of dynamic texture scratchfiles.
 # OTHER_LIBS = -lz should be inserted at end of definitions file.
 
-   GCC_FLAGS = -O2 -DNO_ZLIB
+   GCC_FLAGS = -fcommon -O2 -DNO_ZLIB
+
+# -fcommon works around default definition dup change in gcc 10, 11.
 
         LIBS = $(TCL_LIBS) $(OTHER_LIBS) -lm
 
 
-#    DEBUGFLAGS = -Wall -Wextra -Wconversion -pedantic -ansi
+#    DEBUGFLAGS = -Wall -Wextra -Wconversion -pedantic
 
 # These do not find anything to warn about:
 #   DEBUGFLAGS = -Wshadow -Wpointer-arith -Wcast-qual \
@@ -38,7 +40,7 @@
 #	-Wmissing-prototypes -Wmissing-declarations -Wnested-externs
 
 # These do, but the reports aren't useful (e.g. use of all inlines):
-# -ansi -Wtraditional
+#  -Wtraditional
 
 # For compiling a binary for use with gdb:
 #   DEBUGFLAGS = -g

=== tcl/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile - SaVi tcl directory. Run top-level Makefile instead.
 #
-# $Id: Makefile,v 1.21 2016/03/28 04:24:44 lloydwood Exp $
+# $Id: Makefile 141 2020-01-08 05:59:21Z lloydwood $
 
        SHELL = /bin/sh
           RM = /bin/rm -f

=== src/include/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile - SaVi src/include directory. Run top-level Makefile instead.
 #
-# $Id: Makefile,v 1.7 2009/05/18 07:59:57 lloydwood Exp $
+# $Id: Makefile 8 2019-01-24 04:33:00Z lloydwood $
 
        SHELL = /bin/sh
           RM = /bin/rm -f

=== debian/changelog ===
savi (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Update watch file to use sf.net redirector.
  * Update SourceForge URLs.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 09 Nov 2023 12:01:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: YunQiang Su <syq@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                tcl-dev,
                tk-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/savi
 Vcs-Git: https://salsa.debian.org/debian-gis-team/savi.git
-Homepage: http://savi.sourceforge.net/
+Homepage: https://savi.sourceforge.net/
 Rules-Requires-Root: no
 
 Package: savi

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,10 @@
 
 override_dh_auto_install:
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	cp debian/savi-bin debian/savi/usr/bin/savi
 	cp debian/geomview-savi debian/savi/usr/lib/geomview/.geomview-savi
 	find debian/savi/usr/ -name "Makefile*" -exec rm {} \;
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms:
 	find debian/savi/usr/share/savi/oogl/ -type f | xargs chmod -x

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-release// \
http://sf.net/savi/ \
savi[_-]?(\d\.\d\.\d+[a-z]?(?:[_\.\-\+]?(?:(?:|RC|rc|pre|dev|beta|alpha)\d*)?)?)(?:\-release)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
